extends Node
class_name EventHandler

signal connected()
signal disconnected()
signal reservations_updated(reservations)
signal error_occurred(message)

func connect_to_server():
	pass

func subscribe_to_room(room_id: String):
	pass
